<?xml version="1.0" encoding="utf-8" standalone="no"?>
<problem revision="12" short-name="bad-santa" url="https://polygon.codeforces.com/p7RHf5X/StrausKoldup/bad-santa">
    <names>
        <name language="russian" value="Плохой Санта"/>
    </names>
    <statements>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/russian/problem.tex" type="application/x-tex"/>
        <statement charset="UTF-8" language="russian" mathjax="true" path="statements/.html/russian/problem.html" type="text/html"/>
        <statement language="russian" path="statements/.pdf/russian/problem.pdf" type="application/pdf"/>
    </statements>
    <tutorials>
        <tutorial charset="UTF-8" language="russian" mathjax="true" path="statements/russian/tutorial.tex" type="application/x-tex"/>
        <tutorial charset="UTF-8" language="russian" mathjax="true" path="statements/.html/russian/tutorial.html" type="text/html"/>
        <tutorial language="russian" path="statements/.pdf/russian/tutorial.pdf" type="application/pdf"/>
    </tutorials>
    <judging cpu-name="Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz" cpu-speed="3600" input-file="" output-file="" run-count="1">
        <testset name="tests">
            <time-limit>2000</time-limit>
            <memory-limit>268435456</memory-limit>
            <test-count>10</test-count>
            <input-path-pattern>tests/%02d</input-path-pattern>
            <answer-path-pattern>tests/%02d.a</answer-path-pattern>
            <tests>
                <test method="manual" sample="true"/>
                <test cmd="gen -T 10000 -minN 4 -maxN 10 -n 70000" method="generated"/>
                <test cmd="gen -T 10000 -minN 7 -maxN 20 -n 100000" method="generated"/>
                <test cmd="gen -T 150 -minN 200 -maxN 1000 -n 100000" method="generated"/>
                <test cmd="gen -T 1 -minN 100000 -maxN 100000 -n 100000 a" method="generated"/>
                <test cmd="gen -T 1 -minN 100000 -maxN 100000 -n 100000 b" method="generated"/>
                <test cmd="gen -T 1 -minN 100000 -maxN 100000 -n 100000 c" method="generated"/>
                <test cmd="gen -T 1 -minN 100000 -maxN 100000 -n 100000 d" method="generated"/>
                <test description="File &quot;test_one_in_out_big&quot;" method="manual"/>
                <test description="File &quot;test_all_in_out_big&quot;" method="manual"/>
            </tests>
        </testset>
    </judging>
    <files>
        <resources>
            <file path="files/jngen.h" type="h.g++"/>
            <file path="files/olymp.sty"/>
            <file path="files/problem.tex"/>
            <file path="files/statements.ftl"/>
            <file path="files/testlib.h" type="h.g++"/>
            <file path="files/tutorial.tex"/>
        </resources>
        <executables>
            <executable>
                <source path="files/checker.cpp" type="cpp.g++17"/>
                <binary path="files/checker.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/gen.cpp" type="cpp.g++17"/>
                <binary path="files/gen.exe" type="exe.win32"/>
            </executable>
            <executable>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
            </executable>
        </executables>
    </files>
    <assets>
        <checker type="testlib">
            <source path="files/checker.cpp" type="cpp.g++17"/>
            <binary path="check.exe" type="exe.win32"/>
            <copy path="check.cpp" type="cpp.g++17"/>
            <testset>
                <test-count>5</test-count>
                <input-path-pattern>files/tests/checker-tests/%02d</input-path-pattern>
                <output-path-pattern>files/tests/checker-tests/%02d.o</output-path-pattern>
                <answer-path-pattern>files/tests/checker-tests/%02d.a</answer-path-pattern>
                <tests>
                    <test verdict="wrong-answer"/>
                    <test verdict="wrong-answer"/>
                    <test verdict="crashed"/>
                    <test verdict="presentation-error"/>
                    <test verdict="ok"/>
                </tests>
            </testset>
        </checker>
        <validators>
            <validator>
                <source path="files/validator.cpp" type="cpp.g++17"/>
                <binary path="files/validator.exe" type="exe.win32"/>
                <testset>
                    <test-count>6</test-count>
                    <input-path-pattern>files/tests/validator-tests/%02d</input-path-pattern>
                    <tests>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="valid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                        <test verdict="invalid"/>
                    </tests>
                </testset>
            </validator>
        </validators>
        <solutions>
            <solution tag="time-limit-exceeded">
                <source path="solutions/brute_sol.cpp" type="cpp.g++17"/>
                <binary path="solutions/brute_sol.exe" type="exe.win32"/>
            </solution>
            <solution tag="wrong-answer">
                <source path="solutions/incor.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/incor.exe" type="exe.win32"/>
            </solution>
            <solution tag="main">
                <source path="solutions/main.cpp" type="cpp.g++17"/>
                <binary path="solutions/main.exe" type="exe.win32"/>
            </solution>
            <solution tag="accepted">
                <source path="solutions/sol_olymp.cpp" type="cpp.gcc14-64-msys2-g++23"/>
                <binary path="solutions/sol_olymp.exe" type="exe.win32"/>
            </solution>
        </solutions>
    </assets>
    <properties>
        <property name="tests-wellformed" value="true"/>
    </properties>
    <stresses>
        <stress-count>1</stress-count>
        <stress-path-pattern>stresses/%03d</stress-path-pattern>
        <list>
            <stress index="1" path="stresses/001"/>
        </list>
    </stresses>
    <tags>
        <tag value="matching"/>
    </tags>
</problem>
